Package leftparen.plt contributed by vegashacker  [package home page]
To load: (require (planet "leftparen.scm" ("vegashacker" "leftparen.plt" 1 2)))
Package description:
LeftParen lets you write web apps quickly.
Downloads this week: 0
Total downloads: 399
Tickets:9
Open tickets:2
Primary files:
 Current version
PLaneT versionExternal versionSourceDLsDocsReq. PLTDate added
(1 2)
74
[none]
[none]2008-04-16
To load: (require (planet "leftparen.scm" ("vegashacker" "leftparen.plt" 1 2)))
Available in repositories: 4.x, 3xx
Cookie expirations are no longer hard-coded to a particular date and I use the new hash table functions (hash-ref, hash-set!, make-hash, etc). This means that LP now requires PLT Scheme v3.99.0.23 or greater.
 Open tickets
[All Tickets] [New Ticket]
Ticket IdOwnerReporterTypeVersion
116vegashackervegashackerenhancement(2 2)
long startup time
131vegashackervegashackerdefect(2 2)
stack trace is often mostly unusable

 Old versions
PLaneT versionExternal versionSourceDLsDocsReq. PLTDate added
(1 1)
8
[none]
[none]2008-04-03
To load: (require (planet "leftparen.scm" ("vegashacker" "leftparen.plt" 1 (= 1))))
Available in repositories: 4.x, 3xx
(1 0)
7
[none]
[none]2008-03-31
To load: (require (planet "leftparen.scm" ("vegashacker" "leftparen.plt" 1 (= 0))))
Available in repositories: 3xx, 4.x
This is the first release.
 Packages in other repositories

These packages are not available in the 3xx repository, but they are available for other versions of Racket.

PLaneT versionExternal versionSourceDLsDocsReq. PLTDate added
(5 1)0.61
95
4.1.52009-05-15
To load: (require (planet "leftparen.scm" ("vegashacker" "leftparen.plt" 5 (= 1))))
Available in repositories: 4.x

Updated to work with PLT 4.1.5.; improved body-as-url and corresponding documentation.

(5 0)0.6
18
4.1.52009-05-02
To load: (require (planet "leftparen.scm" ("vegashacker" "leftparen.plt" 5 (= 0))))
Available in repositories: 4.x

Updated to work with PLT 4.1.5.

(4 1)0.51
87
4.1.3.92009-01-12
To load: (require (planet "leftparen.scm" ("vegashacker" "leftparen.plt" 4 (= 1))))
Available in repositories: 4.x

In this version, all PLaneT "requires" reference an explict minor mode. This should avoid issues with the updating of 3rd party PLaneT package. See the previous release (0.5) for more info.

(4 0)0.5
4
4.1.3.92009-01-09
To load: (require (planet "leftparen.scm" ("vegashacker" "leftparen.plt" 4 (= 0))))
Available in repositories: 4.x

This version now uses the built-in serve/servlet functionality, and is no longer dependent on the deprecated Instaservlet package. Other changes include

  • Requires PLT Scheme 4.1.3.9 which is an unreleased version (see the docs for info on getting this version).
  • Pages in app.scm now are triggered before static files in htdocs.
  • Generated project files are now simplified. This means that there are minor upgrade steps needed to get your older LeftParen projects running on the new system. I suggest creating a quick hello-world LeftParen (see the tutorial) and looking at the generated files to see how to adjust your existing project. Feel free to email support at leftparen.com with questions.
(3 0)0.4
45
4.12008-12-01
To load: (require (planet "leftparen.scm" ("vegashacker" "leftparen.plt" 3 (= 0))))
Available in repositories: 4.x

Added a dev STYLE guide; began using contracts; RSS/Atom feed support; better image uploading support; fixed a number of bugs; added to the documentation; started 'how to develop for LeftParen' documentation; added a stub test suite for LeftParen; fixed up welcome-message function which allows for easy user registration, sign-in, and sign-out

(2 2)0.3
58
4.12008-09-26
To load: (require (planet "leftparen.scm" ("vegashacker" "leftparen.plt" 2 (= 2))))
Available in repositories: 4.x

This is a major upgrade that is now compatible with PLT 4.1. There are many other miscellaneous improvements too.

(2 1)
2
4.12008-09-26
To load: (require (planet "leftparen.scm" ("vegashacker" "leftparen.plt" 2 (= 1))))
Available in repositories: 4.x

This is a major upgrade that is now compatible with PLT 4.1. There are many other miscellaneous improvements too. This version is LeftParen 0.3 externally.

(2 0)
1
[none]
4.12008-09-26
To load: (require (planet "leftparen.scm" ("vegashacker" "leftparen.plt" 2 (= 0))))
Available in repositories: 4.x

This is a major upgrade that is now compatible with PLT 4.1. There are many other miscellaneous improvements too.